import { DataType } from '@parlor/common/amplify-schema';
declare const Embed: any;
export type PropertyBlotDataSet = {
    customValue?: string;
    dataType: DataType;
    id: string;
    internalFieldName: string;
    name: string;
    parlorKey: string;
    value: string;
};
export declare class PropertySelectorBlot extends Embed {
    static blotName: string;
    static tagName: string;
    static className: string;
    static denotationCharOpen: string;
    static denotationCharClose: string;
    private mounted;
    private hoverHandler;
    private clickHandler;
    constructor(scroll: any, node: any);
    static create(data: PropertyBlotDataSet): HTMLElement;
    static setDataValues(element: HTMLElement, data: PropertyBlotDataSet): HTMLElement;
    static value(domNode: any): PropertyBlotDataSet;
    attach(): void;
    detach(): void;
    getClickHandler(): (e: Event) => void;
    getHoverHandler(): (e: Event) => void;
    buildEvent(name: string, e: Event): any;
}
export {};
